Util File Reference
`#include <ctype.h>`
`#include <cctype>`
`#include <algorithm>`
`#include <sstream>`
`#include <osg/Camera>`
`#include <osgViewer/Viewer>`
`#include <osgViewer/CompositeViewer>`
`#include <osgWidget/Export>`
`#include <osgWidget/Types>`

Go to the source code of this file.

## Namespaces

namespace | osgWidget

## Macros

#define | OSGWIDGET_UTIL

## Functions

std::ostream & | osgWidget::_notify (osg::NotifySeverity ns=osg::INFO)
std::ostream & | osgWidget::warn ()
std::ostream & | osgWidget::info ()
char | osgWidget::lowerCaseChar (const char in)
std::string | osgWidget::lowerCase (const std::string &str)
template<typename T>
bool | osgWidget::hasDecimal (T v)
OSGWIDGET_EXPORT std::string | osgWidget::getFilePath (const std::string &)
OSGWIDGET_EXPORT std::string | osgWidget::generateRandomName (const std::string &)
OSGWIDGET_EXPORT osg::Camera * | osgWidget::createOrthoCamera (matrix_type, matrix_type)
OSGWIDGET_EXPORT int | osgWidget::createExample (osgViewer::Viewer &, WindowManager *, osg::Node *=0)
OSGWIDGET_EXPORT bool | osgWidget::writeWindowManagerNode (WindowManager *)

## Macro Definition Documentation

## OSGWIDGET_UTIL

#define OSGWIDGET_UTIL